### A free/open-source library for quantitative finance

Public Member Functions
SimplePolynomialFitting Class Reference

Simple polynomial fitting method. More...

`#include <ql/termstructures/yield/nonlinearfittingmethods.hpp>`

Inheritance diagram for SimplePolynomialFitting:
[legend]

List of all members.

## Public Member Functions

| SimplePolynomialFitting (Natural degree, bool constrainAtZero=true)
std::auto_ptr < FittedBondDiscountCurve::FittingMethod > | clone () const
| clone of the current object

## Detailed Description

Simple polynomial fitting method.

Examples:
  FittedBondCurve.cpp.